Results 1 to 3 of 3

Thread: Difficulties installing bazel-0.15 from sources in Leap 15.0 (with JDK8 and 10 installed)

  1. #1

    Default Difficulties installing bazel-0.15 from sources in Leap 15.0 (with JDK8 and 10 installed)

    Anyone managed to install bazel-0.15 from sources in Leap 15.0 (with JDK8 and 10 installed). I can't get past:

    Code:
    sh-4.4$ ./compile.sh
    🍃
    🍃
    .WARNING: An illegal reflective access operation has occurred
    WARNING: Illegal reflective access by com.google.protobuf.UnsafeUtil (file:/tmp/bazel_gGk1xDFR/archive/libblaze.jar) to field java.nio.Buffer.address
    WARNING: Please consider reporting this to the maintainers of com.google.protobuf.UnsafeUtil
    WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
    WARNING: All illegal access operations will be denied in a future release
    WARNING: --batch mode is deprecated. Please instead explicitly shut down your Bazel server using the command "bazel shutdown".
    INFO: Analysed target //src:bazel (213 packages loaded).
    INFO: Found 1 target...
    INFO: From Compiling src/main/cpp/blaze_util_posix.cc:
    src/main/cpp/blaze_util_posix.cc: In function 'void blaze::Daemonize(const char*, bool)':
    src/main/cpp/blaze_util_posix.cc:217:3: warning: ignoring return value of 'int dup(int)', declared with attribute warn_unused_result [-Wunused-result]
       (void) dup(STDOUT_FILENO);  // stderr (2>&1)
       ^~~~~~~~~~~~~~~~~~~~~~~~~
    src/main/cpp/blaze_util_posix.cc: In function 'void blaze::DieAfterFork(const char*)':
    src/main/cpp/blaze_util_posix.cc:264:8: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result [-Wunused-result]
       write(STDERR_FILENO, message, strlen(message));  // strlen should be OK
       ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    src/main/cpp/blaze_util_posix.cc:265:8: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result [-Wunused-result]
       write(STDERR_FILENO, ": ", 2);
       ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
    src/main/cpp/blaze_util_posix.cc:266:8: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result [-Wunused-result]
       write(STDERR_FILENO, error_string, strlen(error_string));
       ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    src/main/cpp/blaze_util_posix.cc:267:8: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result [-Wunused-result]
       write(STDERR_FILENO, "\n", 1);
       ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
    src/main/cpp/blaze_util_posix.cc: In function 'uint64_t blaze::AcquireLock(const string&, bool, bool, blaze::BlazeLock*)':
    src/main/cpp/blaze_util_posix.cc:629:3: warning: ignoring return value of 'int ftruncate(int, __off_t)', declared with attribute warn_unused_result [-Wunused-result]
       (void) ftruncate(lockfd, 0);
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    INFO: From JavacBootstrap src/main/java/com/google/devtools/build/lib/shell/libshell-skylark.jar [for host]:
    warning: [options] bootstrap class path not set in conjunction with -source 8
    warning: Implicitly compiled files were not subject to annotation processing.
      Use -proc:none to disable annotation processing or -implicit to specify a policy for implicit compilation.
    2 warnings
    INFO: From JavacBootstrap src/java_tools/singlejar/java/com/google/devtools/build/singlejar/libbootstrap.jar [for host]:
    warning: [options] bootstrap class path not set in conjunction with -source 8
    warning: Implicitly compiled files were not subject to annotation processing.
      Use -proc:none to disable annotation processing or -implicit to specify a policy for implicit compilation.
    2 warnings
    INFO: From JavacBootstrap src/java_tools/buildjar/java/com/google/devtools/build/buildjar/libskylark-deps.jar [for host]:
    warning: [options] bootstrap class path not set in conjunction with -source 8
    warning: Implicitly compiled files were not subject to annotation processing.
      Use -proc:none to disable annotation processing or -implicit to specify a policy for implicit compilation.
    Note: Some input files use or override a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    2 warnings
    INFO: From JavacBootstrap src/java_tools/buildjar/java/com/google/devtools/build/buildjar/jarhelper/libbootstrap_jarhelper.jar [for host]:
    warning: [options] bootstrap class path not set in conjunction with -source 8
    1 warning
    INFO: From JavacBootstrap src/java_tools/buildjar/java/com/google/devtools/build/buildjar/libbootstrap_VanillaJavaBuilder.jar [for host]:
    warning: [options] bootstrap class path not set in conjunction with -source 8
    warning: Implicitly compiled files were not subject to annotation processing.
      Use -proc:none to disable annotation processing or -implicit to specify a policy for implicit compilation.
    Note: src/java_tools/buildjar/java/com/google/devtools/build/buildjar/VanillaJavaBuilder.java uses or overrides a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    2 warnings
    INFO: From Generating Java (Immutable) proto_library @googleapis//:google_devtools_build_v1_build_events_proto:
    google/devtools/build/v1/build_events.proto: warning: Import google/rpc/status.proto but not used.
    INFO: From SkylarkAction external/googleapis/google_bytestream_bytestream_java_grpc_srcs.jar:
    google/bytestream/bytestream.proto: warning: Import google/protobuf/wrappers.proto but not used.
    INFO: From Generating Java (Immutable) proto_library @googleapis//:google_bytestream_bytestream_proto:
    google/bytestream/bytestream.proto: warning: Import google/protobuf/wrappers.proto but not used.
    INFO: From SkylarkAction external/googleapis/google_watch_v1_java_grpc_srcs.jar:
    google/watcher/v1/watch.proto: warning: Import google/protobuf/empty.proto but not used.
    INFO: From Generating Java (Immutable) proto_library @googleapis//:google_watch_v1_proto:
    google/watcher/v1/watch.proto: warning: Import google/protobuf/empty.proto but not used.
    ERROR: /mnt/ntfs/h/zip/bazel/bazel-0.15/src/main/java/com/google/devtools/build/lib/BUILD:1397:1: Building src/main/java/com/google/devtools/build/lib/bazel/BazelServer.jar () failed: Worker process returned an unparseable WorkResponse!
    
    Did you try to print something to stdout? Workers aren't allowed to do this, as it breaks the protocol between Bazel and the worker process.
    
    ---8<---8<--- Exception details ---8<---8<---
    com.google.protobuf.InvalidProtocolBufferException$InvalidWireTypeException: Protocol message tag had invalid wire type.
            at com.google.protobuf.InvalidProtocolBufferException.invalidWireType(InvalidProtocolBufferException.java:115)
            at com.google.protobuf.CodedInputStream$StreamDecoder.skipField(CodedInputStream.java:2100)
            at com.google.protobuf.GeneratedMessageV3.parseUnknownFieldProto3(GeneratedMessageV3.java:303)
            at com.google.devtools.build.lib.worker.WorkerProtocol$WorkResponse.<init>(WorkerProtocol.java:1866)
            at com.google.devtools.build.lib.worker.WorkerProtocol$WorkResponse.<init>(WorkerProtocol.java:1830)
            at com.google.devtools.build.lib.worker.WorkerProtocol$WorkResponse$1.parsePartialFrom(WorkerProtocol.java:2420)
            at com.google.devtools.build.lib.worker.WorkerProtocol$WorkResponse$1.parsePartialFrom(WorkerProtocol.java:2415)
            at com.google.protobuf.AbstractParser.parsePartialFrom(AbstractParser.java:221)
            at com.google.protobuf.AbstractParser.parsePartialDelimitedFrom(AbstractParser.java:262)
            at com.google.protobuf.AbstractParser.parseDelimitedFrom(AbstractParser.java:275)
            at com.google.protobuf.AbstractParser.parseDelimitedFrom(AbstractParser.java:280)
            at com.google.protobuf.AbstractParser.parseDelimitedFrom(AbstractParser.java:49)
            at com.google.protobuf.GeneratedMessageV3.parseDelimitedWithIOException(GeneratedMessageV3.java:347)
            at com.google.devtools.build.lib.worker.WorkerProtocol$WorkResponse.parseDelimitedFrom(WorkerProtocol.java:2082)
            at com.google.devtools.build.lib.worker.WorkerSpawnRunner.execInWorker(WorkerSpawnRunner.java:313)
            at com.google.devtools.build.lib.worker.WorkerSpawnRunner.actuallyExec(WorkerSpawnRunner.java:154)
            at com.google.devtools.build.lib.worker.WorkerSpawnRunner.exec(WorkerSpawnRunner.java:112)
            at com.google.devtools.build.lib.exec.AbstractSpawnStrategy.exec(AbstractSpawnStrategy.java:95)
            at com.google.devtools.build.lib.exec.AbstractSpawnStrategy.exec(AbstractSpawnStrategy.java:63)
            at com.google.devtools.build.lib.exec.SpawnActionContextMaps$ProxySpawnActionContext.exec(SpawnActionContextMaps.java:362)
            at com.google.devtools.build.lib.analysis.actions.SpawnAction.internalExecute(SpawnAction.java:287)
            at com.google.devtools.build.lib.analysis.actions.SpawnAction.execute(SpawnAction.java:294)
            at com.google.devtools.build.lib.skyframe.SkyframeActionExecutor.executeActionTask(SkyframeActionExecutor.java:960)
            at com.google.devtools.build.lib.skyframe.SkyframeActionExecutor.prepareScheduleExecuteAndCompleteAction(SkyframeActionExecutor.java:891)
            at com.google.devtools.build.lib.skyframe.SkyframeActionExecutor.access$900(SkyframeActionExecutor.java:115)
            at com.google.devtools.build.lib.skyframe.SkyframeActionExecutor$ActionRunner.call(SkyframeActionExecutor.java:746)
            at com.google.devtools.build.lib.skyframe.SkyframeActionExecutor$ActionRunner.call(SkyframeActionExecutor.java:700)
            at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
            at com.google.devtools.build.lib.skyframe.SkyframeActionExecutor.executeAction(SkyframeActionExecutor.java:442)
            at com.google.devtools.build.lib.skyframe.ActionExecutionFunction.checkCacheAndExecuteIfNeeded(ActionExecutionFunction.java:503)
            at com.google.devtools.build.lib.skyframe.ActionExecutionFunction.compute(ActionExecutionFunction.java:224)
            at com.google.devtools.build.skyframe.AbstractParallelEvaluator$Evaluate.run(AbstractParallelEvaluator.java:382)
            at com.google.devtools.build.lib.concurrent.AbstractQueueVisitor$WrappedRunnable.run(AbstractQueueVisitor.java:355)
            at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1135)
            at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
            at java.base/java.lang.Thread.run(Thread.java:844)
    ---8<---8<--- End of exception details ---8<---8<---
    
    ---8<---8<--- Start of log ---8<---8<---
    -Xbootclasspath/p is no longer a supported option.
    ion.
    ---8<---8<--- End of log ---8<---8<---
    Target //src:bazel failed to build
    INFO: Elapsed time: 49.888s, Critical Path: 43.58s
    INFO: 1091 processes: 1091 local.
    FAILED: Build did NOT complete successfully
    
    ERROR: Could not build Bazel
    sh-4.4$

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,872
    Blog Entries
    15

    Default Re: Difficulties installing bazel-0.15 from sources in Leap 15.0(with JDK8 and 10 installed)

    On Thu 28 Jun 2018 05:26:03 PM CDT, flymail wrote:

    Anyone managed to install bazel-0.15 from sources in Leap 15.0 (with
    JDK8 and 10 installed). I can't get past:


    <snip>
    Hi
    Not sure but it still needs jdk8, so maybe your using jdk10?

    Anyway I updated the OBS package to to 0.15.0 and pushed back to
    it's development project... building fine for Leap 15;
    https://build.opensuse.org/request/show/619817

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLES 15 | GNOME Shell 3.26.2 | 4.12.14-23-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. #3

    Default Re: Difficulties installing bazel-0.15 from sources in Leap 15.0(with JDK8 and 10 installed)

    On 2018-06-29, malcolmlewis <malcolmlewis@no-mx.forums.microfocus.com> wrote:
    > Anyway I updated the OBS package to to 0.15.0 and pushed back to
    > it's development project... building fine for Leap 15;
    > https://build.opensuse.org/request/show/619817


    I've noticed thanks Malcolm. You're a god-send!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •